Bug 679082 - SSSD IPA provider should honor the krb5_realm option
Summary: SSSD IPA provider should honor the krb5_realm option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Stephen Gallagher
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 679087
TreeView+ depends on / blocked
 
Reported: 2011-02-21 14:31 UTC by Rob Crittenden
Modified: 2018-11-29 20:27 UTC (History)
6 users (show)

Fixed In Version: sssd-1.5.1-10.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 679087 (view as bug list)
Environment:
Last Closed: 2011-05-19 11:38:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0560 normal SHIPPED_LIVE Low: sssd security, bug fix, and enhancement update 2011-05-19 11:38:17 UTC

Description Rob Crittenden 2011-02-21 14:31:54 UTC
Description of problem:

The kerberos domain is assumed to be the upper-case realm.

Comment 2 Stephen Gallagher 2011-02-22 14:56:17 UTC
Notes for QA: this bug is to ensure that if the krb5_realm is manually set for an 'id_provider = ipa' or 'auth_provider = ipa' domain, that the krb5_realm is used for all kerberos-related activities.

Comment 3 Stephen Gallagher 2011-02-22 14:58:15 UTC
This is relevant if ipa-client-install is run with the --realm command. We need to ensure that when krb5_realm is set in sssd.conf, it is honored everywhere.

Comment 5 Namita Soman 2011-04-07 18:22:32 UTC
Verified using:
sssd-1.5.5-0.20110405T0615z.el6.x86_64

installed ipa server as -
ipa-server-install --setup-dns --forwarder=10.14.63.12 -p Secret123 -P
Secret123 -a Secret123 -r QWQW

and verified sssd.conf, and default.conf have the right entries:
sssd.conf:
section for [domain/testrelm] includes:
krb5_realm = QWQW
ipa_domain = testrelm

section for [domain/default] includes:
krb5_realm = QWQW

default.conf includes:
basedn=dc=qwqw
realm=QWQW
domain=testrelm
xmlrpc_uri=https://rhel61-server5.testrelm/ipa/xml
ldap_uri=ldapi://%2fvar%2frun%2fslapd-QWQW.socket

also verified kinit 
# kinit admin
Password for admin@QWQW:

Comment 6 errata-xmlrpc 2011-05-19 11:38:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html

Comment 7 errata-xmlrpc 2011-05-19 13:09:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html


Note You need to log in before you can comment on or make changes to this bug.